package com.example.aped.utils;


import java.util.ArrayList;
import java.util.Dictionary;
import java.util.Hashtable;
import java.util.List;

public class TestXML implements IXML {

    /**
     * @return
     */
    @Override
    public List<String> getDeviceNames() {
        List<String> returnList = new ArrayList<>();
        returnList.add("stoff");
        returnList.add("schnaps");
        returnList.add("whatever");
        return returnList;
    }

    /**
     * @param deviceName the name of the relevant device
     * @return
     */
    @Override
    public Dictionary<String, Object> getPort(final String deviceName) {
        Dictionary<String, Object> returnDict = new Hashtable<>();
        returnDict.put("protocol", "DI");
        Dictionary<String, Object> pins = new Hashtable<>();
        pins.put("GPIO2", true);
        pins.put("GPIO3", false);
        returnDict.put("pins", pins);
        return returnDict;
    }
}
